<template>
  <section class="navbar">
    <ul :style="gridStyle">
      <li class="logo">
        <img :src="logoSrc" :alt="logoAlt">
      </li>
      <li v-for="button in buttons" :key="button.name">
        <a :href="button.link">{{ button.name }}</a>
<!-- 
        <RLink :to="button.link">
          {{ button.name }}
        </RLink>
 -->
      </li>
    </ul>
  </section>
</template>

<script>
import RLink from "../components/RLink.vue";

export default {
  components: {
    RLink
  },
  props: {
    buttons: {
      type: Array,
      required: true
    },
    logoSrc: {
      type: String,
      required: true
    },
    logoAlt: {
      type: String,
      required: true
    }
  },
  computed: {
    gridStyle() {
      return {
        gridTemplateColumns: ["50px", `repeat(${this.buttons.lenght}, 1fr)`]
      };
    }
  }
};
</script>

<style scoped>
.navbar {
  background-color: config("colors.dark");
  position: sticky;
  top: 0;
  min-height: 10vh;
}

ul {
  display: grid;
  grid-template-columns: 50px repeat(3, 1fr);
  grid-template-rows: 1fr;
  align-items: center;
  min-height: 10vh;

  padding: 5px;
}

li {
  list-style-type: none;
  display: flex;
  justify-content: center;
  align-items: center;
  grid-row: 1/2;
}
</style>
